﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class buyStat : MonoBehaviour {

    public Money money; // to access and manipulate coin amount
    public Text cost;
    public Button statButton;
    private int price;
    private ColorBlock block;
    private Portrait portrait;

    void Start() {
        portrait = GameObject.Find("portraitButton").GetComponent<Portrait>();
        price = int.Parse(cost.text);
        block = new ColorBlock();
        block = statButton.colors;
    }

    // setting the pressed colors correctly
    void Update() {
        if (money.getMoney() >= price) {
            block.pressedColor = Color.green;
            statButton.colors = block;
        }
        else {
            block.pressedColor = Color.red; // can't afford = red click
            statButton.colors = block;
        }
    }

    public void OnClick() {
        if (money.getMoney() >= price) {
            money.decreaseCoins(price);
            Portrait.unallocatedStats = Portrait.unallocatedStats + 1;
            cost.text = (price + 3).ToString();
            price = int.Parse(cost.text);
            portrait.setInventory();
            
        }
    }
}
